Removes and returns the first value

- « Ds\Vector::set

- Ds\Vector::slice »

- PHP Manual
- Ds\Vector
- Removes and returns the first value

# Ds\Vector::shift

(PECL ds >= 1.0.0)

Ds\Vector::shift — Removes and returns the first value

### Description

public Ds\Vector::shift(): mixed

Removes and returns the first value.

### Parameters

This function has no parameters.

### Return Values

The first value, which was removed.

### Errors/Exceptions

UnderflowException if empty.

### Examples

Example #1 Ds\Vector::shift() example

    <?php$vector = new \Ds\Vector(["a", "b", "c"]);var_dump($vector->shift());var_dump($vector->shift());var_dump($vector->shift());?>

The above example will output something similar to:

    string(1) "a"
    string(1) "b"
    string(1) "c"